# Monitor Rune Mint Order

The Xverse API Runes Minting service monitors Rune Mint orders and tracks the status & confirmation of their mint transaction(s)&#x20;

You can use this endpoint to track the status of your Rune Mint order and the related mint transactions, using the `orderId` obtained when you [created your mint order](https://docs.xverse.app/api/runes/mint-rune/create-rune-mint-order)&#x20;

## Quick Start

## GET /v1/runes-managed/orders/{orderId}

> Get order details by ID.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes-managed/orders/{orderId}":{"get":{"tags":["Runes mint","Runes etch"],"description":"Get order details by ID.","parameters":[{"schema":{"format":"uuid","type":"string"},"in":"path","name":"orderId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"orderType":{"type":"string"},"state":{"type":"string"},"reason":{"type":"string"},"createdAt":{"type":"string"},"fundingAddress":{"type":"string"},"orderDetails":{"type":"object","properties":{}},"transactions":{"type":"array","items":{"type":"object","properties":{"txid":{"type":"string"},"state":{"type":"string"},"transactionType":{"type":"string"},"broadcastSequence":{"type":"number"},"batchNumber":{"type":"number"}},"required":["txid","state","transactionType","broadcastSequence","batchNumber"]}}},"required":["id","orderType","state","reason","createdAt","transactions"]}}}}}}}}}
```

## Monitor Order - Response

<table><thead><tr><th width="256.7421875">Monitor Order - Response Object</th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>a string representing the id of your mint or etch order. </td></tr><tr><td><code>orderType</code></td><td><p>a string representing the nature of the order. <br><br>The possible values are:</p><ul><li><code>runes_mint</code> for a mint order</li><li><code>runes_etch</code> for an etch order</li></ul></td></tr><tr><td><code>state</code></td><td><p>A string representing the current status of your order<br><br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span>See <a data-mention href="execute-rune-mint-order">execute-rune-mint-order</a> &#x26; <a data-mention href="../etch-rune/execute-rune-etch-order">execute-rune-etch-order</a>for details on the rune order workflows<br><br>The possible values are:</p><ul><li><code>new</code> when the order has only just been created, and you have not broadcast a funding transaction yet</li><li><code>pending</code> when the order awaits the confirmation of the funding transaction before being processed</li><li><code>executing</code> when the order is being processed and the required runes mint/etch transactions are being broadcast.</li><li><code>complete</code> when the order has been processed and all runes mint/etch transactions have been confirmed.</li><li><code>failed</code> when the order has failed. See the <code>reason</code> property for the nature of the order failure.</li><li><code>refunded</code> when the funding transaction for a failed order has been refunded to your user's specified refund address</li><li><code>stale</code> when the order status hasn't progressed from the <code>new</code> state for an extended period of time</li></ul></td></tr><tr><td><code>reason</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>If the order is in a <code>failed</code> state, a string representing the reason for the failure</td></tr><tr><td><code>createdAt</code></td><td>the creation date for the order (this is the date when the <a data-mention href="create-rune-mint-order">create-rune-mint-order</a> or <a data-mention href="../etch-rune/create-rune-etch-order">create-rune-etch-order</a> endpoint was first called)</td></tr><tr><td><code>fundingAddress</code></td><td>a string representing the BTC address which will collect the funds required to process the order, and sign the required mint/etch transactions to process the order.</td></tr></tbody></table>
